diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index eabd8689..4997d175 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -615,7 +618,7 @@ define('pgadmin.node.foreign_key', [
       Init: function() {
         /* Avoid multiple registration of menus */
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -624,13 +627,13 @@ define('pgadmin.node.foreign_key', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Foreign key...'),
           icon: 'wcTabIcon icon-foreign_key', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'validate_foreign_key', node: 'foreign_key', module: this,
           applies: ['object', 'context'], callback: 'validate_foreign_key',
           category: 'validate', priority: 4, label: gettext('Validate foreign key'),
-          icon: 'fa fa-link', enable : 'is_not_valid'
-        }
+          icon: 'fa fa-link', enable : 'is_not_valid',
+        },
         ]);
       },
       is_not_valid: function(node) {
@@ -639,10 +642,10 @@ define('pgadmin.node.foreign_key', [
       callbacks: {
         validate_foreign_key: function(args) {
           var input = args || {},
-          obj = this,
-          t = pgBrowser.tree,
-          i = input.item || t.selected(),
-          d = i && i.length == 1 ? t.itemData(i) : undefined;
+            obj = this,
+            t = pgBrowser.tree,
+            i = input.item || t.selected(),
+            d = i && i.length == 1 ? t.itemData(i) : undefined;
 
           if (!d) {
             return false;
@@ -653,7 +656,7 @@ define('pgadmin.node.foreign_key', [
             type:'GET',
             success: function(res) {
               if (res.success == 1) {
-                alertify.success(res.info);
+                Alertify.success(res.info);
                 t.removeIcon(i);
                 data.valid = true;
                 data.icon = 'icon-foreign_key';
@@ -662,19 +665,21 @@ define('pgadmin.node.foreign_key', [
                 setTimeout(function() {t.select(i);}, 100);
               }
             },
-            error: function(xhr, status, error) {
+            error: function(xhr) {
               try {
                 var err = $.parseJSON(xhr.responseText);
                 if (err.success == 0) {
-                  alertify.error(err.errormsg);
+                  Alertify.error(err.errormsg);
                 }
-              } catch (e) {}
+              } catch (e) {
+                console.warn(e.stack || e);
+              }
               t.unload(i);
-            }
-            });
+            },
+          });
 
           return false;
-        }
+        },
       },
       // Define the model for foreign key node
       model: pgAdmin.Browser.Node.Model.extend({
@@ -689,11 +694,11 @@ define('pgadmin.node.foreign_key', [
           confmatchtype: undefined,
           convalidated: undefined,
           columns: undefined,
-          confupdtype: "a",
-          confdeltype: "a",
+          confupdtype: 'a',
+          confdeltype: 'a',
           autoindex: true,
           coveringindex: undefined,
-          hasindex:undefined
+          hasindex:undefined,
         },
         toJSON: function () {
           var d = pgAdmin.Browser.Node.Model.prototype.toJSON.apply(this, arguments);
@@ -704,10 +709,10 @@ define('pgadmin.node.foreign_key', [
         schema: [{
           id: 'name', label: gettext('Name'), type: 'text',
           mode: ['properties', 'create', 'edit'], editable:true,
-          headerCell: Backgrid.Extension.CustomHeaderCell, cellHeaderClasses: 'width_percent_50'
+          headerCell: Backgrid.Extension.CustomHeaderCell, cellHeaderClasses: 'width_percent_50',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties']
+          type: 'text' , mode: ['properties'],
         },{
           id: 'comment', label: gettext('Comment'), cell: 'string',
           type: 'multiline', mode: ['properties', 'create', 'edit'],
@@ -715,27 +720,27 @@ define('pgadmin.node.foreign_key', [
             var name = m.get('name');
             if (!(name && name != '')) {
               setTimeout(function(){
-              if(m.get('comment') && m.get('comment') !== '')
-                 m.set('comment', null);
+                if(m.get('comment') && m.get('comment') !== '')
+                  m.set('comment', null);
               },10);
               return true;
             } else {
               return false;
             }
-          }
+          },
         },{
           id: 'condeferrable', label: gettext('Deferrable?'),
           type: 'switch', group: gettext('Definition'),
           disabled: function(m) {
             // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-                // If OID is undefined then user is trying to add
-                // new constraint which should allowed for Unique
-                return !_.isUndefined(m.get('oid'));
+              // If OID is undefined then user is trying to add
+              // new constraint which should allowed for Unique
+              return !_.isUndefined(m.get('oid'));
             }
             // We can't update condeferrable of existing foreign key.
             return !m.isNew();
-          }
+          },
         },{
           id: 'condeferred', label: gettext('Deferred?'),
           type: 'switch', group: gettext('Definition'),
@@ -743,9 +748,9 @@ define('pgadmin.node.foreign_key', [
           disabled: function(m) {
             // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-                // If OID is undefined then user is trying to add
-                // new constraint which should allowed for Unique
-                return !_.isUndefined(m.get('oid'));
+              // If OID is undefined then user is trying to add
+              // new constraint which should allowed for Unique
+              return !_.isUndefined(m.get('oid'));
             } else if(!m.isNew()) {
               return true;
             }
@@ -759,7 +764,7 @@ define('pgadmin.node.foreign_key', [
               },10);
               return true;
             }
-          }
+          },
         },{
           id: 'confmatchtype', label: gettext('Match type'),
           type: 'switch', group: gettext('Definition'),
@@ -769,77 +774,77 @@ define('pgadmin.node.foreign_key', [
           },disabled: function(m) {
             // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-                // If OID is undefined then user is trying to add
-                // new constraint which should allowed for Unique
-                return !_.isUndefined(m.get('oid'));
+              // If OID is undefined then user is trying to add
+              // new constraint which should allowed for Unique
+              return !_.isUndefined(m.get('oid'));
             }
             // We can't update condeferred of existing foreign key.
             return !m.isNew();
-          }
+          },
         },{
-          id: 'convalidated', label: gettext("Validated?"),
+          id: 'convalidated', label: gettext('Validated?'),
           type: 'switch', group: gettext('Definition'),
           options: {
             onText: gettext('Yes'),
-            offText: gettext('No')
+            offText: gettext('No'),
           },disabled: function(m) {
             // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-                // If OID is undefined then user is trying to add
-                // new constraint which should allowed
-                return !(_.isUndefined(m.get('oid')) || m.get("convalidated"));
+              // If OID is undefined then user is trying to add
+              // new constraint which should allowed
+              return !(_.isUndefined(m.get('oid')) || m.get('convalidated'));
             }
             // We can't update condeferred of existing foreign key.
-            return !(m.isNew() || m.get("convalidated"));
-          }
+            return !(m.isNew() || m.get('convalidated'));
+          },
         },{
           id: 'autoindex', label: gettext('Auto FK index?'),
           type: 'switch', group: gettext('Definition'),
           deps: ['name', 'hasindex'],
           options: {
             onText: gettext('Yes'),
-            offText: gettext('No')
+            offText: gettext('No'),
           },disabled: function(m) {
             var index = m.get('coveringindex'),
-                autoindex = m.get('autoindex'),
-                setIndexName = function() {
-                  var name = m.get('name'),
+              autoindex = m.get('autoindex'),
+              setIndexName = function() {
+                var name = m.get('name'),
                   oldindex = 'fki_'+m.previous ('name');
 
-                  if (m.get('hasindex')) {
-                    return true;
-                  } else if (m.get('autoindex') && !_.isUndefined(name) && !_.isNull(name) &&
-                              name != '' && (_.isUndefined(index) || _.isNull(index) ||
-                              index == '' || index == oldindex)) {
-                    var newIndex = 'fki_' + name;
-                    m.set('coveringindex', newIndex);
-                    return false;
-                  } else {
-                    return false;
-                  }
-                };
-            // If we are in table edit mode then
-            if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-                // If OID is undefined then user is trying to add
-                // new constraint which should allowed for Unique
-                if(_.isUndefined(m.get('oid')) && _.isUndefined(m.handler.get('oid'))) {
-                  setTimeout(function () {
-                    if(m.get('autoindex'))
-                      m.set('autoindex', false);
-                  }, 10);
+                if (m.get('hasindex')) {
                   return true;
+                } else if (m.get('autoindex') && !_.isUndefined(name) && !_.isNull(name) &&
+                name != '' && (_.isUndefined(index) || _.isNull(index) ||
+                  index == '' || index == oldindex)) {
+                  var newIndex = 'fki_' + name;
+                  m.set('coveringindex', newIndex);
+                  return false;
                 } else {
-                  return setIndexName();
+                  return false;
                 }
+              };
+            // If we are in table edit mode then
+            if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
+              // If OID is undefined then user is trying to add
+              // new constraint which should allowed for Unique
+              if(_.isUndefined(m.get('oid')) && _.isUndefined(m.handler.get('oid'))) {
+                setTimeout(function () {
+                  if(m.get('autoindex'))
+                    m.set('autoindex', false);
+                }, 10);
+                return true;
+              } else {
+                return setIndexName();
+              }
             } else {
               if(!m.isNew() && autoindex && !_.isUndefined(index) &&
-                    !_.isNull(index) && index != '' && m.get('hasindex')) {
+                !_.isNull(index) && index != '' && m.get('hasindex')) {
                 return true;
               } else {
                 return setIndexName();
               }
             }
-          }
+          },
         },{
           id: 'coveringindex', label: gettext('Covering index'), type: 'text',
           mode: ['properties', 'create', 'edit'], group: gettext('Definition'),
@@ -859,10 +864,10 @@ define('pgadmin.node.foreign_key', [
                     var name = m.get('name'),
                       newIndex = 'fki_' + name;
 
-                      if (m.get('autoindex') && !_.isUndefined(name) && !_.isNull(name) &&
-                            name != '') {
-                        m.set('coveringindex', newIndex);
-                      }
+                    if (m.get('autoindex') && !_.isUndefined(name) && !_.isNull(name) &&
+                      name != '') {
+                      m.set('coveringindex', newIndex);
+                    }
                   });
 
                   return false;
@@ -871,24 +876,24 @@ define('pgadmin.node.foreign_key', [
 
             // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-                // If OID is undefined then user is trying to add
-                // new constraint which should allowed for Unique
-                if (_.isUndefined(m.get('oid')) && _.isUndefined(m.handler.get('oid'))) {
-                  return true;
-                } else {
-                  return setIndexName();
-                }
+              // If OID is undefined then user is trying to add
+              // new constraint which should allowed for Unique
+              if (_.isUndefined(m.get('oid')) && _.isUndefined(m.handler.get('oid'))) {
+                return true;
+              } else {
+                return setIndexName();
+              }
 
             } else if (!m.isNew() && m.get('autoindex') && !_.isUndefined(index)
-                        && _.isNull(index) && index == '') {
+              && _.isNull(index) && index == '') {
               return true;
             }
 
             return setIndexName();
-          }
+          },
         },{
           id: 'columns', label: gettext('Columns'),
-          type: 'collection', group: gettext('Columns'), disabled: false,
+          type: 'collection', group: gettext('Columns'),
           node: 'foreign_key', editable: false, headerCell: Backgrid.Extension.CustomHeaderCell,
           cellHeaderClasses: 'width_percent_50',
           cell: Backgrid.StringCell.extend({
@@ -906,14 +911,14 @@ define('pgadmin.node.foreign_key', [
               self.model.get('columns').on('pgadmin:columns:updated', function() {
                 self.render.apply(self);
               });
-              self.listenTo(collection, "add", self.render);
-              self.listenTo(collection, "remove", self.render);
+              self.listenTo(collection, 'add', self.render);
+              self.listenTo(collection, 'remove', self.render);
             },
             removeColumn: function(m){
               var self = this,
-                  removedCols = self.model.get('columns').where(
-                    {local_column: m.get('name')}
-                    );
+                removedCols = self.model.get('columns').where(
+                  {local_column: m.get('name')}
+                );
 
               self.model.get('columns').remove(removedCols);
               setTimeout(function () {
@@ -921,50 +926,46 @@ define('pgadmin.node.foreign_key', [
               }, 10);
 
               setTimeout(function () {
-                var constraints = self.model.top.get("foreign_key");
+                var constraints = self.model.top.get('foreign_key');
                 var removed = [];
                 constraints.each(function(constraint) {
-                  if (constraint.get("columns").length == 0) {
-                     removed.push(constraint);
+                  if (constraint.get('columns').length == 0) {
+                    removed.push(constraint);
                   }
                 });
                 constraints.remove(removed);
               },100);
             },
             resetColOptions : function(m) {
-                var self = this,
-                  updatedCols = self.model.get('columns').where(
-                  {"local_column": m.previous('name')}
-                  );
-                if (updatedCols.length > 0) {
-                  /*
-                   * Table column name has changed so update
-                   * column name in foreign key as well.
-                   */
-                  updatedCols[0].set(
-                  {"local_column": m.get('name')});
-                }
+              var self = this,
+                updatedCols = self.model.get('columns').where(
+                  {'local_column': m.previous('name')}
+                );
+              if (updatedCols.length > 0) {
+                /*
+                 * Table column name has changed so update
+                 * column name in foreign key as well.
+                 */
+                updatedCols[0].set(
+                  {'local_column': m.get('name')});
+              }
 
-                setTimeout(function () {
-                  self.render();
-                }, 10);
+              setTimeout(function () { self.render(); }, 10);
             },
             formatter: {
-              fromRaw: function (rawValue, model) {
+              fromRaw: function (rawValue) {
                 var cols = [],
-                    remote_cols = [];
+                  remote_cols = [];
                 if (rawValue.length > 0) {
                   rawValue.each(function(col){
                     cols.push(col.get('local_column'));
-                    remote_cols.push(col.get('referenced'))
+                    remote_cols.push(col.get('referenced'));
                   });
                   return '('+cols.join(', ')+') -> ('+ remote_cols.join(', ')+')';
                 }
-                return "";
+                return '';
               },
-              toRaw: function (val, model) {
-                return val;
-              }
+              toRaw: function (val) { return val; },
             },
             render: function() {
               return Backgrid.StringCell.prototype.render.apply(this, arguments);
@@ -976,121 +977,123 @@ define('pgadmin.node.foreign_key', [
               this.stopListening(tableCols, 'change:name' , self.resetColOptions);
 
               Backgrid.StringCell.prototype.remove.apply(this, arguments);
-            }
+            },
           }),
           canAdd: function(m) {
-            // We can't update columns of existing foreign key.
+              // We can't update columns of existing foreign key.
             return m.isNew();
           }, canDelete: true,
           control: ForeignKeyColumnControl,
           model: ForeignKeyColumnModel,
           disabled: function(m) {
-            // If we are in table edit mode then
+              // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
                 // If OID is undefined then user is trying to add
                 // new constraint which should allowed for Unique
-                return !_.isUndefined(m.get('oid'));
+              return !_.isUndefined(m.get('oid'));
             }
-            // We can't update columns of existing foreign key.
+              // We can't update columns of existing foreign key.
             return !m.isNew();
-            }
+          },
         },{
           id: 'confupdtype', label: gettext('On update'),
-          type:"select2", group: gettext('Action'), mode: ['edit','create'],
-          select2:{width:"50%", allowClear: false},
+          type:'select2', group: gettext('Action'), mode: ['edit','create'],
+          select2:{width:'50%', allowClear: false},
           options: [
-            {label: "NO ACTION", value: "a"},
-            {label: "RESTRICT", value: "r"},
-            {label: "CASCADE", value: "c"},
-            {label: "SET NULL", value: "n"},
-            {label: "SET DEFAULT", value: "d"}
+              {label: 'NO ACTION', value: 'a'},
+              {label: 'RESTRICT', value: 'r'},
+              {label: 'CASCADE', value: 'c'},
+              {label: 'SET NULL', value: 'n'},
+              {label: 'SET DEFAULT', value: 'd'},
           ],disabled: function(m) {
-            // If we are in table edit mode then
+              // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
                 // If OID is undefined then user is trying to add
                 // new constraint which should allowed for Unique
-                return !_.isUndefined(m.get('oid'));
+              return !_.isUndefined(m.get('oid'));
             }
-            // We can't update confupdtype of existing foreign key.
+              // We can't update confupdtype of existing foreign key.
             return !m.isNew();
-          }
+          },
         },{
           id: 'confdeltype', label: gettext('On delete'),
-          type:"select2", group: gettext('Action'), mode: ['edit','create'],
-          select2:{width:"50%", allowClear: false},
+          type:'select2', group: gettext('Action'), mode: ['edit','create'],
+          select2:{width:'50%', allowClear: false},
           options: [
-            {label: "NO ACTION", value: "a"},
-            {label: "RESTRICT", value: "r"},
-            {label: "CASCADE", value: "c"},
-            {label: "SET NULL", value: "n"},
-            {label: "SET DEFAULT", value: "d"}
+              {label: 'NO ACTION', value: 'a'},
+              {label: 'RESTRICT', value: 'r'},
+              {label: 'CASCADE', value: 'c'},
+              {label: 'SET NULL', value: 'n'},
+              {label: 'SET DEFAULT', value: 'd'},
           ],disabled: function(m) {
-            // If we are in table edit mode then
+              // If we are in table edit mode then
             if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
                 // If OID is undefined then user is trying to add
                 // new constraint which should allowed for Unique
-                return !_.isUndefined(m.get('oid'));
+              return !_.isUndefined(m.get('oid'));
             }
-            // We can't update confdeltype of existing foreign key.
+              // We can't update confdeltype of existing foreign key.
             return !m.isNew();
-          }
-        }
+          },
+        },
         ],
         validate: function() {
+          var columns = this.get('columns'),
+            msg;
+
           this.errorModel.clear();
 
-          var columns = this.get('columns');
           if ((_.isUndefined(columns) || _.isNull(columns) || columns.length < 1)) {
-            var msg = gettext('Please specify columns for Foreign key.');
+            msg = gettext('Please specify columns for Foreign key.');
             this.errorModel.set('columns', msg);
             return msg;
           }
 
           var coveringindex = this.get('coveringindex'),
-              autoindex = this.get('autoindex');
+            autoindex = this.get('autoindex');
           if (autoindex && (_.isUndefined(coveringindex) || _.isNull(coveringindex) ||
-            String(coveringindex).replace(/^\s+|\s+$/g, '') == '')) {
-            var msg = gettext('Please specify covering index name.');
+              String(coveringindex).replace(/^\s+|\s+$/g, '') == '')) {
+            msg = gettext('Please specify covering index name.');
             this.errorModel.set('coveringindex', msg);
             return msg;
           }
 
           return null;
-        }
+        },
       }),
 
       canCreate: function(itemData, item, data) {
           // If check is false then , we will allow create menu
-          if (data && data.check == false)
-            return true;
+        if (data && data.check == false)
+          return true;
 
-          var t = pgBrowser.tree, i = item, d = itemData, parents = [],
-            immediate_parent_table_found = false,
-            is_immediate_parent_table_partitioned = false;
+        var t = pgBrowser.tree, i = item, d = itemData, parents = [],
+          immediate_parent_table_found = false,
+          is_immediate_parent_table_partitioned = false;
           // To iterate over tree to check parent node
-          while (i) {
+        while (i) {
             // If table is partitioned table then return false
-            if (!immediate_parent_table_found && (d._type == 'table' || d._type == 'partition')) {
-              immediate_parent_table_found = true;
-              if ('is_partitioned' in d && d.is_partitioned) {
-                is_immediate_parent_table_partitioned = true;
-              }
+          if (!immediate_parent_table_found && (d._type == 'table' || d._type == 'partition')) {
+            immediate_parent_table_found = true;
+            if ('is_partitioned' in d && d.is_partitioned) {
+              is_immediate_parent_table_partitioned = true;
             }
+          }
 
             // If it is schema then allow user to c reate table
-            if (_.indexOf(['schema'], d._type) > -1)
-              return !is_immediate_parent_table_partitioned;
-            parents.push(d._type);
-            i = t.hasParent(i) ? t.parent(i) : null;
-            d = i ? t.itemData(i) : null;
-          }
-          // If node is under catalog then do not allow 'create' menu
-          if (_.indexOf(parents, 'catalog') > -1) {
-            return false;
-          } else {
+          if (_.indexOf(['schema'], d._type) > -1)
             return !is_immediate_parent_table_partitioned;
-          }
-      }
+          parents.push(d._type);
+          i = t.hasParent(i) ? t.parent(i) : null;
+          d = i ? t.itemData(i) : null;
+        }
+          // If node is under catalog then do not allow 'create' menu
+        if (_.indexOf(parents, 'catalog') > -1) {
+          return false;
+        } else {
+          return !is_immediate_parent_table_partitioned;
+        }
+      },
     });
   }
 
